Holdings
retrieves the holdings as a list
Request to be POSTed to uri : /NorenWClientAPI/Holdings
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| actid* | Account id of the logged in user. | |
| prd* | Product name |
Example
curl --location 'https://api.kambala.co.in/NorenWClientAPI/Holdings' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer dc384ed28e7983afdcc1dd8e0631b3f69b94ff14392daea33fa12661d3d99adf' \
--data 'jData={"uid":"DEMO","actid":"DEMO","prd":"C"}'
response Details :
Response data will be in json format with below fields in case of Success:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Holding request success or failure indication. |
| exch_tsym | Array of objects exch_tsym objects as defined below. | |
| holdqty | Holding quantity | |
| dpqty | DP Holding quantity | |
| npoadqty | Non Poa display quantity | |
| colqty | Collateral quantity | |
| benqty | Beneficiary quantity | |
| unplgdqty | Unpledged quantity | |
| brkcolqty | Broker Collateral | |
| btstqty | BTST quantity | |
| btstcolqty | BTST Collateral quantity | |
| usedqty | Holding used today | |
| upldprc | Average price uploaded along with holdings | |
| hair_cut | Hair Cut | |
| prd | Product | |
| s_prdt_ali | Product display name | |
| trdqty | Trade Quantity | |
| sell_amt | Sell Amount |
Notes:
Valuation : btstqty + holdqty + brkcolqty + unplgdqty + benqty + Max(npoadqty, dpqty) - usedqty
Salable: btstqty + holdqty + unplgdqty + benqty + dpqty - usedqty
Exch_tsym object:
| Json Fields of object in values Array | Possible value | Description |
|---|---|---|
| exch | NSE, BSE, NFO ... | Exchange |
| tsym | Trading symbol of the scrip (contract) | |
| token | Token of the scrip (contract) | |
| pp | Price precision | |
| ti | Tick size | |
| ls | Lot size | |
| lp | LTP [#] |
Response data will be in json format with below fields in case of failure:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Position book request failure indication. |
| request_time | Response received time. | |
| emsg | Error message |
[#] - By Default disabled and Enabled on request basis.
Sample Success Response :
[
{
"stat": "Ok",
"exch_tsym": [
{
"exch": "NSE",
"token": "25203",
"cm_e": "COLLATERAL Not Allowed",
"fo_e": "COLLATERAL Not Allowed",
"cur_e": "COLLATERAL Not Allowed",
"tsym": "BALAJEE-EQ",
"pp": "2",
"ti": "0.01",
"ls": "1",
"isin": "INE0S2G01011",
"cname": "SHREE TIRUPATI BALAJEE L"
},
{
"exch": "BSE",
"token": "544249",
"cm_e": "COLLATERAL Not Allowed",
"fo_e": "COLLATERAL Not Allowed",
"cur_e": "COLLATERAL Not Allowed",
"tsym": "BALAJEE",
"pp": "2",
"ti": "0.01",
"ls": "1",
"isin": "INE0S2G01011",
"cname": "SHREE TIRUPATI BALAJEE AGRO TR"
}
],
"upldprc": "400.00",
"sell_amt": "0.000000",
"holdqty": "10",
"hair_cut": "0.00",
"brk_hair_cut": "0.00",
"dpqty": "0",
"benqty": "0",
"unplgdqty": "0",
"colqty": "0",
"brkcolqty": "0",
"s_prdt_ali": "CNC",
"prd": "C",
"btstqty": "0",
"usedqty": "0",
"trdqty": "0",
"epi_done_qty": "0",
"c": "500.00"
},
]
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Invalid Input : Missing uid or actid or prd."
}